package com.memorynotfound.cdi;

import javax.inject.Inject;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.PrintWriter;
import java.sql.SQLException;

@WebServlet(urlPatterns = {"/courses"})
public class CourseServlet extends HttpServlet {

    @Inject
    private DerbyPingService pingService;

    public void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        resp.setContentType("text/html");
        PrintWriter out = resp.getWriter();

        out.println("<h1>Java EE: Context Dependency Injection @Inject annotation</h1>");
        try {
            pingService.ping();
        } catch (SQLException e) {
            e.printStackTrace();
        }
    }

}
