package com.memorynotfound.cdi;

import javax.enterprise.inject.Disposes;
import javax.enterprise.inject.Produces;
import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;

public class JDBCConnectionProducer {

    @Produces
    private Connection createConnection() throws SQLException {
        String dbUrl = "jdbc:derby:memorynotfound/disposes;create=true";
        return DriverManager.getConnection(dbUrl);
    }
    private void closeConnection(@Disposes Connection conn) throws SQLException {
        conn.close();
    }

}
